'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Accordion = function (_Component) {
	_inherits(Accordion, _Component);

	function Accordion(props) {
		_classCallCheck(this, Accordion);

		var _this = _possibleConstructorReturn(this, (Accordion.__proto__ || Object.getPrototypeOf(Accordion)).call(this, props));

		_this.state = {
			isOpen: _this.props.open
		};

		_this.handleOpen = _this.handleOpen.bind(_this);
		return _this;
	}

	_createClass(Accordion, [{
		key: 'handleOpen',
		value: function handleOpen(openEvent) {
			this.setState({ isOpen: !this.state.isOpen });
		}
	}, {
		key: 'render',
		value: function render() {
			return _react2.default.createElement(
				'div',
				{ className: 'accordionWrap' },
				_react2.default.createElement(
					'h4',
					{ className: 'cp-AccordionControl cp-AccordionControl--minor ' + (this.state.isOpen ? 'is-open' : ''), onClick: this.handleOpen },
					this.props.title,
					_react2.default.createElement(
						'svg',
						{ className: 'cp-AccordionControl-arrow' },
						_react2.default.createElement('use', { xmlnsXlink: 'http://www.w3.org/1999/xlink', xlinkHref: '#iconArrow--right' })
					)
				),
				_react2.default.createElement(
					'div',
					{ className: 'cp-AccordionContainer ' + (this.state.isOpen ? 'is-open' : ''), style: { display: this.state.isOpen ? 'block' : 'none' } },
					this.props.children
				)
			);
		}
	}]);

	return Accordion;
}(_react.Component);

exports.default = Accordion;