"use strict";

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var CPCard = function (_Component) {
	_inherits(CPCard, _Component);

	function CPCard(props) {
		_classCallCheck(this, CPCard);

		var _this = _possibleConstructorReturn(this, (CPCard.__proto__ || Object.getPrototypeOf(CPCard)).call(this, props));

		_this.state = {};
		return _this;
	}

	_createClass(CPCard, [{
		key: "render",
		value: function render() {
			var date = new Date(this.props.data.date);
			return _react2.default.createElement(
				"div",
				{ className: "cp-card" },
				_react2.default.createElement(
					"h2",
					{ className: "cp-card-title" },
					this.props.data.title
				),
				_react2.default.createElement(
					"p",
					{ className: "cp-card-description" },
					this.props.data.description
				),
				_react2.default.createElement(
					"div",
					{ className: "cp-card-meta" },
					_react2.default.createElement(
						"span",
						{ className: "cp-card-metaItem" },
						_react2.default.createElement(
							"abbr",
							{ title: date.format('MMMM') },
							date.format('MMM')
						),
						" ",
						date.getDate(),
						", ",
						date.getFullYear(),
						" ",
						date.toLocaleTimeString([], { hour: '2-digit', minute: '2-digit' })
					),
					_react2.default.createElement(
						"span",
						{ className: "cp-card-metaItem" },
						this.props.data.contentType
					)
				)
			);
		}
	}]);

	return CPCard;
}(_react.Component);

exports.default = CPCard;